Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository
Class PermissionDeniedFlowExecutionAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.repository.FlowExecutionRepositoryException
                          org.springframework.webflow.execution.repository.FlowExecutionAccessException
                              org.springframework.webflow.execution.repository.PermissionDeniedFlowExecutionAccessException

All Implemented Interfaces:
  java.io.Serializable

    public class PermissionDeniedFlowExecutionAccessException

extends FlowExecutionAccessException

Thrown when access to a flow execution was denied by a repository.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`PermissionDeniedFlowExecutionAccessException(FlowExecutionKey flowExecutionKey, java.lang.Exception cause)` Creates a new flow execution restoration exception.

Method Summary

Methods inherited from class org.springframework.webflow.execution.repository.FlowExecutionAccessException
`getFlowExecutionKey`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PermissionDeniedFlowExecutionAccessException

    public PermissionDeniedFlowExecutionAccessException(FlowExecutionKey flowExecutionKey,
                                                        java.lang.Exception cause)

  Creates a new flow execution restoration exception.

  Parameters:
    `flowExecutionKey` - the key of the execution that could not be accessed
    `cause` - the root cause of the access failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD